| GET | /RestApi/recycle-bin/items |
|---|
namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type FindRecycleBinItems() =
member val Skip:Nullable<Int32> = new Nullable<Int32>() with get,set
member val Take:Nullable<Int32> = new Nullable<Int32>() with get,set
member val OrderExpression:String = null with get,set
member val TypeName:String = null with get,set
member val SearchText:String = null with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
providerName: String,
itemTypeName: String,
displayTypeName: String,
itemTitle: String,
status: String,
statusText: String,
itemLanguage: String,
ownerName: String,
dateCreated: 0001-01-01,
parentTypeName: String,
parentTitlesPath: String
}
]